/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 * @author   Pedro Pelaez <pedro@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */
@import "../01_base/mixins";
// Buttons
///////////////////////

.btn {
  cursor: pointer;

  &.btn-edit:before {
    content: "\270E ";
  }

  &.btn-remove:before {
    content: "\1F5D1 ";
  }

  &.btn-space-after {
    margin-bottom: 10px;
  }
}

.btn:disabled {
  cursor: not-allowed;
}

.btn-close {
  width: 30px;
  height: 30px;
  background: url(image-url('icon-close.svg')) no-repeat center;
  background-size: 22px;
  transition: opacity $duration;
  border: none;
  cursor: pointer;

  &:hover, &:focus {
    opacity: .7;
  }
}

.btn-link {
  display: contents;
  color: $color-blue-07;
  background: none;
  border: none;

  &:hover {
    background: none;
    text-decoration: underline;
  }

  &:disabled {
    color: $color-grey-05;

    &:hover {
      text-decoration: none;
    }
  }
}

// Blue button rounded corners.
%btn {
  color: $color-white-01;
  font-size: 14px;
  font-family: $base-font-family;
  font-weight: 500;
  line-height: 16px;
  box-shadow: none;
  border: none;
  border-radius: 18px;
  transition: all $duration;
  padding: 7px 15px 6px;

  svg {
    margin-left: 5px;
    margin-right: 5px;
  }

  @include desktop {
    padding: 7px 20px 6px;
  }
}

.MuiButton-root.btn-primary,
.btn-primary {
  @extend %btn;
  background: $color-blue-01;

  &.red,
  &.btn-red {
    background: $color-red-01;

    &:hover,
    &:focus {
      background: $color-red-02;
    }
  }

  &.purple,
  &.btn-purple {
    background: $color-purple-02;

    &:hover,
    &:focus {
      background: $color-purple-03;
    }
  }

  &.orange,
  &.btn-orange {
    background: $color-orange-01;

    &:hover,
    &:focus {
      background: $color-orange-02;
    }
  }

  &.green,
  &.btn-green {
    background: $color-green-01;

    &:hover,
    &:focus {
      background: $color-green-02;
    }
  }

  &.Mui-disabled {
    background: $color-grey-03;
  }

  &:hover,
  &:focus {
    background: $color-blue-02;
  }
}

.btn-sep-top {
  margin-top: 15px;
}

// Btn primary with icon.
.btn-primary-icon {
  @extend %btn;
  background: $color-blue-02;
  border-radius: 10px;

  &.Mui-disabled {
    background: $color-grey-03;
  }

  &:hover,
  &:focus {
    background: $color-green-02;

    svg {
      fill: $color-green-02;
    }
  }

  svg {
    width: 16px;
    height: 16px;
    fill: $color-blue-02;
    background-color: $color-white-01;
    border-radius: 5px;
  }
}

// Green button.
.btn-secondary {
  @extend %btn;
  background: $color-green-01;

  &.Mui-disabled {
    background: $color-grey-03;
  }

  &:hover,
  &:focus {
    background: $color-green-02;
  }
}

// Orange button.
.btn-tertiary {
  @extend %btn;
  background: $color-orange-01;

  &.Mui-disabled {
    background: $color-grey-03;
  }

  &:hover,
  &:focus {
    background: $color-orange-02;
  }
}

// Btn like link with icon.
.btn-icon-more {
  color: $color-blue-01;
  font-size: 18px;
  font-weight: 500;
  line-height: 27px;

  &.Mui-disabled {
    opacity: .3;
  }

  .MuiButton-startIcon {
    background: $color-blue-01;

    svg {
      width: 16px;
      height: 16px;
      fill: $color-white-01;
    }
  }
}

.parametricListGrid {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-auto-rows: minmax(50px, auto);

  @include tablet {
    grid-template-columns: repeat(2, 1fr);
  }

  @include desktop {
    grid-template-columns: repeat(3, 1fr);
    margin: 0 20px;
  }
}

.parametricListGridButton {
  display: flex;
  justify-content: center;
  border-bottom: 1px solid $color-blue-02;
  border-left: 1px solid $color-blue-02;
  border-right: 1px solid $color-blue-02;

  @include desktop {
    border-right: none;
  }

  &:first-child {
    border-top: 1px solid $color-blue-02;
  }

  &:nth-child(2) {
    @include tablet {
      border-top: 1px solid $color-blue-02;
    }
  }

  &:nth-child(3) {
    @include desktop {
      border-top: 1px solid $color-blue-02;
    }
  }

  &:nth-child(odd) {
    @include tablet {
      border-right-color: transparent;
    }

    @include desktop {
      border-right: none;
    }
  }

  &:nth-child(3n+3) {
    @include desktop {
      border-right: 1px solid $color-blue-02;
    }
  }

  a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: $color-white-01;
    text-align: center;
    transition: all $duration;
    padding: 5px;

    &:hover {
      color: $color-white-01;
      background-color: $color-blue-01;
    }
  }
}

// Adminisrative division parents buttons
.btn-remove-all,
.btn-remove-one {
  width: 20px;
  height: 20px;
  background: $color-white-01;
  border-radius: 50%;
  outline: 1px solid $transparency-black-05;
  transition: all 250ms;
  vertical-align: bottom;
  padding: 5px;
  margin: 0 5px;
  position: relative;
  display: inline-block;

  &:hover, &:focus {
    background: $transparency-black-05;
  }

  svg {
    color: $color-red-01;
    font-weight: bold;
    line-height: unset;
    transform: translate3d(-50%, -50%, 0);
    position: absolute;
    top: 50%;
    left: 50%;
  }
}


.button-tap,
.button-health-care,
.button-water-system,
.button-service-provider,
.button-schools {
  @extend %btn;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: left 5px center;
  padding-right: 15px;
  padding-left: 33px;

  &:hover, &:focus {
    opacity: .9;
  }
}

.button-tap {
  background-image: url(image-url('pat.png'));
  background-color: #b45e06;
}

.button-health-care {
  background-image: url(image-url('health-care.png'));
  background-color: #990000;
}

.button-water-system {
  background-image: url(image-url('water.png'));
  background-color: #085394;
}

.button-service-provider {
  background-image: url(image-url('lender.png'));
  background-color: #44818d;
}

.button-schools {
  background-image: url(image-url('school.png'));
  background-color: #a64d79;
  padding-left: 35px;
}

.unread-mails {
  cursor: pointer;
}

.offline-action {
  .btn {
    color: #fff !important;
  }
}